﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        WebDataGrid1.DataSource = GetDataSource();
        WebDataGrid1.DataBind();
    }

    
    public DataTable GetDataSource()
    {
        System.Data.DataTable table = new DataTable("Table");
        DataColumn column;
        DataRow row;
     
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "key";
        column.ReadOnly = true;
      
        table.Columns.Add(column);
   
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "firstName";
        column.AutoIncrement = false;
        column.Caption = "firstName";
        column.ReadOnly = false;
        column.Unique = false;
        table.Columns.Add(column);

  
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "lastName";
        column.AutoIncrement = false;
        column.Caption = "lastName";
        column.ReadOnly = false;
        column.Unique = false;      
        table.Columns.Add(column);

        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = table.Columns["id"];
        table.PrimaryKey = PrimaryKeyColumns;

        for (int i = 0; i <= 45; i++)
        {
            row = table.NewRow();
            row["key"] = i;
            row["firstName"] = "firstName1234 56789656" + i;
            row["lastName"] = "lastName12345 6789" + i;
            table.Rows.Add(row);
        }
        return table;
    }

    protected void Button1_Click(object sender, EventArgs e)
    {

    }
}